#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sade = require("sade");
const set_1 = require("./commands/set");
const unset_1 = require("./commands/unset");
sade('macos-keyboard-shortcuts')
    .command('set [file]')
    .describe('Sets the keyboard shortcuts as defined in the specified file')
    .option('-s, --script', 'Prints a shell script', false)
    .action(async function (file, { script }) {
    await set_1.set(file, script);
})
    .example('set shortcuts.json')
    .example('set shortcuts.json --script')
    .command('unset [file]')
    .describe('Unsets the keyboard shortcuts as defined in the specified file')
    .option('-s, --script', 'Prints a shell script', false)
    .action(async function (file, { script }) {
    await unset_1.unset(file, script);
})
    .example('unset shortcuts.json')
    .example('unset shortcuts.json --script')
    .parse(process.argv);
