"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.commandFactory = void 0;
const fs = require("fs-extra");
const getStdin = require("get-stdin");
const execute_shell_commands_1 = require("./execute-shell-commands");
const output_shell_commands_1 = require("./output-shell-commands");
const parse_config_1 = require("./parse-config/parse-config");
function commandFactory(createShellCommands) {
    return async function set(file, script) {
        if (typeof file !== 'undefined' && (await fs.pathExists(file)) === false) {
            throw new Error('File does not exist');
        }
        const json = typeof file !== 'undefined'
            ? await fs.readFile(file, 'utf8')
            : await getStdin();
        const keyboardShortcuts = await parse_config_1.parseConfig(JSON.parse(json));
        const shellCommands = createShellCommands(keyboardShortcuts);
        if (script === true) {
            output_shell_commands_1.outputShellCommands(shellCommands);
            return;
        }
        await execute_shell_commands_1.executeShellCommands(shellCommands);
    };
}
exports.commandFactory = commandFactory;
