"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeShellCommands = void 0;
const childProcess = require("child_process");
const pEachSeries = require("p-each-series");
async function executeShellCommands(shellCommands) {
    await pEachSeries(shellCommands, async function (shellCommand) {
        return new Promise(function (resolve, reject) {
            const child = childProcess.exec(shellCommand, function (error) {
                if (error) {
                    reject(error);
                    return;
                }
                resolve();
            });
            if (child.stdout === null) {
                throw new Error('');
            }
            child.stdout.pipe(process.stdout);
        });
    });
}
exports.executeShellCommands = executeShellCommands;
