"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseConfig = void 0;
const resolve_app_bundle_id_1 = require("./resolve-app-bundle-id");
async function parseConfig(config) {
    const result = [];
    for (const appName in config) {
        const menuConfig = config[appName];
        const appBundleId = await resolve_app_bundle_id_1.resolveAppBundleId(appName);
        for (const key in menuConfig) {
            parseItem(appBundleId, menuConfig[key], [key], result);
        }
    }
    return result;
}
exports.parseConfig = parseConfig;
const singleSpaceRegex = /\s/;
function parseItem(appBundleId, menuConfig, menuPath, result) {
    if (typeof menuConfig === 'string') {
        result.push({
            appBundleId,
            keyboardKeys: menuConfig.split(singleSpaceRegex),
            menuPath: menuPath
        });
        return;
    }
    for (const key in menuConfig) {
        parseItem(appBundleId, menuConfig[key], [...menuPath, key], result);
    }
}
