"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveAppBundleId = void 0;
const childProcess = require("child_process");
async function resolveAppBundleId(appName) {
    const shellCommand = `osascript -e 'id of app "${appName}"'`;
    return new Promise(function (resolve, reject) {
        const result = [];
        const child = childProcess.exec(shellCommand, function (error) {
            if (error) {
                reject(error);
                return;
            }
            resolve(result.join('').trim());
        });
        if (child.stdout === null) {
            throw new Error('Invariant violation');
        }
        child.stdout.on('data', function (data) {
            result.push(data.toString());
        });
    });
}
exports.resolveAppBundleId = resolveAppBundleId;
